Package Scientific :: Package Visualization :: Module PyMOL :: Class Material

[frames] | no frames]

# Class Material

    PyMOLObject --+
                  |
                 Material

Material specification for graphics objects

A material defines the color and surface properties of an object.

For compatibility with the module Scientific.Visualization.VRML, many material attributes are accepted but not used in any way.

Instance Methods

__init__(self, **attr) |

getRGB(self) |

Inherited from `PyMOLObject`: `__copy__`, `__getitem__`, `__setitem__`, `getPymolObjects`, `writeToFile`

Class Variables
| attribute_names = ``[``'``comment``'``,` `'``ambient_color``'``,` `'``diffuse_color``'``...``

Method Details

### __init__(self, **attr)
(Constructor)

Parameters:
  - `attr` - material attributes as keyword arguments
  - `diffuse_color` (Color) - the color of a diffusely reflecting surface
  - `emissive_color` - not used
  - `ambient_color` - not used
  - `specular_color` - not used
  - `shininess` - not used
  - `transparency` - not used
Overrides: PyMOLObject.__init__

Class Variable Details

### attribute_names

Value:

      ['comment',
       'ambient_color',
       'diffuse_color',
       'specular_color',
       'emissive_color',
       'shininess',
       'transparency']